LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Constant Groups | Classes | Typedefs | Enumerations
com::sun::star::drawing Module Reference

Drawing and shape specific interfaces. More...

## Modules
module | framework
| The drawing framework is responsible for managing the resources used by the UI of the drawing applications.

## Constant Groups
constants | CanvasFeature
constants | CaptionEscapeDirection
| this flags describe escape direction for the line of a CaptionShape.
constants | CaptionType
| This constants specifies the geometry of the line of a CaptionShape.
constants | EnhancedCustomShapeGluePointType
| defines which glue points are being offered by the EnhancedCustomShape
constants | EnhancedCustomShapeParameterType
| defines how an EnhancedCustomShapeParameter has to be interpreted
constants | EnhancedCustomShapeSegmentCommand
constants | QRCodeErrorCorrection
| These constants identify the type of Error Correction for a QR Code.
constants | ShadingPattern
| The ShadingPattern determines the background color pattern against which characters and graphics are displayed, typically in tables.

## Classes
service | AccessibleDrawDocumentView
| The AccessibleDrawDocumentView service is implemented by views of Draw and Impress documents. More...
service | AccessibleGraphControl
| The service describes the accessible graph controls that are used in the image map of the Draw and Impress applications and the contour dialog of the Writer application. More...
service | AccessibleGraphicShape
| The AccessibleGraphicShape service is implemented by the graphic object shapes shapes com.sun.star.drawing.GraphicObjectShape and com.sun.star.presentation.GraphicObjectShape. More...
service | AccessibleImageBullet
| The accessible view of an image bullet. More...
service | AccessibleOLEShape
| The AccessibleOLEShape service is implemented by OLE shapes. More...
service | AccessibleShape
| The AccessibleShape service is implemented by UNO shapes to provide accessibility information that describe the shape's features. More...
service | AccessibleSlideView
| The AccessibleSlideView service is implemented by slide views of Impress documents. More...
service | AccessibleSlideViewObject
| The AccessibleSlideViewObject service is implemented by the slides of the slide view of Impress documents. More...
service | AppletShape
| This Shape encapsulates an applet. More...
service | Background
| this service provides the properties to describe a background filling for a drawing page. More...
struct | BezierPoint
| This is a point on a Bezier curve. More...
service | BitmapTable
| this is a container for URLs to bitmaps. More...
struct | BoundVolume
| specifies a three-dimensional boundary volume with two positions. More...
struct | CameraGeometry
| specifies a three-dimensional camera. More...
service | CaptionShape
| The CaptionShape represents a rectangular drawing shape with an additional set of lines. More...
service | ClosedBezierShape
| This service is for a closed Bezier shape. More...
service | ColorTable
service | ConnectorProperties
| This is a set of properties to describe the style for rendering connector. More...
service | ConnectorShape
| This service is for a ConnectorShape, a specialized Shape, which can be connected to other Shapes or GluePoints. More...
service | ControlShape
| This service is for a Shape which contains a control. More...
service | CustomShape
| This service is for a CustomShape. More...
service | CustomShapeEngine
| This service is for a CustomShape. More...
service | DashTable
| this is a container for LineDashs More...
service | Defaults
| This is a set of properties to access the defaults of a drawing document. More...
struct | Direction3D
| specifies a 3-dimensional vector. More...
service | DocumentSettings
| describes properties that apply to the whole drawing document. More...
service | DrawingDocument
| specifies a document which consists of multiple pages with drawings. More...
service | DrawingDocumentDrawView
| This component integrates a view to a DrawPages or MasterPage from a DrawingDocument. More...
service | DrawingDocumentFactory
service | DrawPage
| This service specifies a page for the actual draw pages to contain the drawings. More...
service | DrawPages
| provides access to a container of DrawPages and makes it possible for you to manipulate them. More...
service | EllipseShape
| This service is for an ellipse or circle shape. More...
struct | EnhancedCustomShapeAdjustmentValue
| specifies a single AdjustmentValue More...
service | EnhancedCustomShapeExtrusion
| This service may be represented by a com::sun::star::beans::PropertyValue []. More...
service | EnhancedCustomShapeGeometry
| This service may be represented by a com::sun::star::beans::PropertyValue []. More...
service | EnhancedCustomShapeHandle
| This service may be represented by a com::sun::star::beans::PropertyValue []. More...
struct | EnhancedCustomShapeParameter
| specifies a single value which is used with EnhancedCustomShapes More...
struct | EnhancedCustomShapeParameterPair
| specifies the coordinates used with EnhancedCustomShapes More...
service | EnhancedCustomShapePath
| This service may be represented by a com::sun::star::beans::PropertyValue []. More...
struct | EnhancedCustomShapeSegment
struct | EnhancedCustomShapeTextFrame
| specifies the coordinates used with EnhancedCustomShapes More...
service | EnhancedCustomShapeTextPath
| This service may be represented by a com::sun::star::beans::PropertyValue []. More...
service | FillProperties
| This is a set of properties to describe the style for rendering an area. More...
service | GenericDrawingDocument
| specifies a document which consists of multiple pages with drawings. More...
service | GenericDrawPage
| This abstract service is implemented by every page of a DrawingDocument. More...
struct | GluePoint
| A GluePoint could be attached to a shape or to a page. More...
struct | GluePoint2
| This struct defines the attributes of a glue point. More...
service | GradientTable
| this is a container for com::sun::star::awt::Gradients More...
service | GraphicExportFilter
| a component that supports this service lets you export pages, shapes, or groups of shapes from a DrawingDocument to a file in one of the file formats supported by the component. More...
exception | GraphicFilterRequest
| represents a general error graphic filter exception. More...
service | GraphicObjectShape
| This service is for a graphic shape. More...
service | GroupShape
| This service is for a group of Shapes. More...
struct | Hatch
| This struct defines the appearance of a hatch. More...
service | HatchTable
| this is a container for Hatchs More...
struct | HomogenMatrix
| specifies a homogeneous matrix by three homogeneous lines More...
struct | HomogenMatrix3
| specifies a homogeneous matrix by three homogeneous lines More...
struct | HomogenMatrix4
| specifies a homogeneous matrix by four homogeneous lines. More...
struct | HomogenMatrixLine
| specifies a single line for a HomogenMatrix. More...
struct | HomogenMatrixLine3
| specifies a single line for a HomogenMatrix3. More...
struct | HomogenMatrixLine4
| specifies a single line for a HomogenMatrix4. More...
service | Layer
| A layer is an entity inside a document which contains shapes. More...
service | LayerManager
| This service is provided by documents to support Layers. More...
struct | LineDash
| A LineDash defines a non-continuous line. More...
service | LineProperties
| This is a set of properties to describe the style for rendering a Line. More...
service | LineShape
| This service is for a simple Shape with lines. More...
service | MarkerTable
| this is a container for PointSequences More...
service | MasterPage
| This service is a single master page inside a drawing document. More...
service | MasterPages
| provides access to a container of MasterPages and makes it possible for them to be manipulated. More...
service | MeasureProperties
| This service describes a MeasureShape. More...
service | MeasureShape
| This service is for a dimensioning shape. More...
service | ModuleDispatcher
service | OLE2Shape
| This service is for an OLE shape. More...
service | OpenBezierShape
| This service is for an open Bezier shape. More...
service | PageShape
| This service is for a page shape. More...
service | PluginShape
| This Shape encapsulates a plugin. More...
service | PolyLineShape
| This service is for a polyline shape. More...
struct | PolyPolygonBezierCoords
| specifies the coordinates for a poly polygon Bezier. More...
service | PolyPolygonBezierDescriptor
| This service describes a polypolygonbezier. More...
service | PolyPolygonBezierShape
| This service specifies a poly-polygon Bezier shape. More...
service | PolyPolygonDescriptor
| This service describes a poly-polygon. More...
service | PolyPolygonShape
| This service is for a polygon shape. More...
struct | PolyPolygonShape3D
| specifies the coordinates of a 3-dimensional poly polygon. More...
struct | Position3D
| specifies a 3-dimensional point. More...
struct | QRCode
| This struct defines the attributes of a QR Code. More...
service | RectangleShape
| This service is for a rectangle Shape. More...
service | RotationDescriptor
| This abstract service specifies the general characteristics of an optional rotation and shearing for a Shape. More...
service | ShadowProperties
| This is a set of properties to describe the style for rendering a shadow. More...
service | Shape
| This abstract service specifies the general characteristics of all Shapes. More...
service | ShapeCollection
| This service describes a generic container to manage collections of Shape. More...
service | Shapes
| This service is for a generic collection of shapes. More...
service | SlideRenderer
| Create preview bitmaps for single slides. More...
service | SlideSorter
| A slide sorter shows previews for a set of slides, typically all slides in a document, and allows the selection, reordering, creation, and deletion of slides. More...
service | Text
| This abstract service specifies the general characteristics of an optional text inside a Shape. More...
service | TextProperties
| This is a set of properties to describe the style for rendering the text area inside a shape. More...
service | TextShape
| This service is for a text shape. More...
service | TransparencyGradientTable
| this is a container for com::sun::star::awt::Gradients More...
interface | XConnectableShape
interface | XConnectorShape
interface | XControlShape
| is implemented by a ControlShape to access the controls model. More...
interface | XCustomShapeEngine
| The XCustomShapeEngine. More...
interface | XCustomShapeHandle
| The XCustomShapeHandle. More...
interface | XDrawPage
| identifies an XShapes as a DrawPage. More...
interface | XDrawPageDuplicator
| makes it possible to duplicate pages within the same document. More...
interface | XDrawPageExpander
| is implemented by documents that can expand the contents of a summary on a DrawPage into a collection of DrawPages. More...
interface | XDrawPages
| gives access to a container of DrawPages or MasterPages. More...
interface | XDrawPagesSupplier
| must be supported to provide access to a multi-page drawing-layer. More...
interface | XDrawPageSummarizer
| is implemented by documents that can create summaries of their DrawPages. More...
interface | XDrawPageSupplier
| represents something that provides a DrawPage. More...
interface | XDrawSubController
| View dependent part of the Draw and Impress controller. More...
interface | XDrawView
| is implemented by views that display DrawPages or MasterPages. More...
interface | XEnhancedCustomShapeDefaulter
interface | XGluePointsSupplier
| must be supported to provide access to a container of GluePoint2. More...
interface | XGraphicExportFilter
interface | XLayer
| identifies the object as a Layer. More...
interface | XLayerManager
| This interface makes it possible to access and manage the Layers of a document. More...
interface | XLayerSupplier
| gives access to a LayerManager. More...
interface | XMasterPagesSupplier
| must be supported to provide access to the MasterPages of a multi-page drawing-layer. More...
interface | XMasterPageTarget
| is implemented by objects that can be linked to a MasterPage. More...
interface | XPresenterHelper
| This interface is a collection of functions that were necessary to implement larger parts of the presenter screen as extension. More...
interface | XSelectionFunction
interface | XShape
| lets you do a basic transformation on a Shape and get its type. More...
interface | XShapeAligner
| Objects implementing this interface can be used to align Shapes. More...
interface | XShapeArranger
| Objects implementing this interface can be used to arrange Shapes. More...
interface | XShapeBinder
| connects or breaks the lines of Shapes More...
interface | XShapeCombiner
| specifies the combine/split functionality. More...
interface | XShapeDescriptor
| offers some settings which are allowed even for objects which are not yet inserted into a draw page. More...
interface | XShapeGroup
| is implemented by Shapes that contain other Shapes. More...
interface | XShapeGrouper
| specifies the group/ungroup functionality. More...
interface | XShapeMirror
| Objects implementing this interface can be used to mirror Shapes. More...
interface | XShapes
| makes it possible to access, add, and remove the Shapes in a collection. More...
interface | XShapes2
| Allows insertion of shapes at different positions. More...
interface | XShapes3
| Yet another XShapes interface, enables sorting shapes with some extra attention paid to shapes with textboxes and overall performance. More...
interface | XSlidePreviewCache
| A cache of preview bitmaps for the slides of one Impress or Draw document in one size. More...
interface | XSlidePreviewCacheListener
| Listener for asynchronous preview creations. More...
interface | XSlideRenderer
| Create preview bitmaps for single slides. More...
interface | XSlideSorterBase
| This interface exists only because services do not directly support multiple inheritance and attributes. More...
interface | XUniversalShapeDescriptor

## Typedefs
typedef sequence< long > | CoordinateSequence
typedef sequence< CoordinateSequence > | CoordinateSequenceSequence
typedef sequence< double > | DoubleSequence
typedef sequence< DoubleSequence > | DoubleSequenceSequence
typedef sequence< PolygonFlags > | FlagSequence
typedef sequence< FlagSequence > | FlagSequenceSequence
typedef sequence< com::sun::star::awt::Point > | PointSequence
typedef sequence< PointSequence > | PointSequenceSequence

## Enumerations
enum | Alignment { TOP_LEFT , TOP , TOP_RIGHT , LEFT , CENTER , RIGHT , BOTTOM_LEFT , BOTTOM , BOTTOM_RIGHT }
| The Alignment enumeration is a general way to specify the alignment of an object or sub-object relative to another object. More...
enum | Arrangement { FRONT , MORE_FRONT , MORE_BACK , BACK }
| With this enumeration you can arrange the relative position of an object within the other objects. More...
enum | BitmapMode { REPEAT , STRETCH , NO_REPEAT }
| The BitmapMode selects an algorithm for filling an area with a bitmap. More...
enum | CircleKind { FULL , SECTION , CUT , ARC }
| This enumeration defines a circle. More...
enum | ColorMode { STANDARD , GREYS , MONO , WATERMARK }
| The ColorMode defines the output style of colors for a graphic. More...
enum | ConnectionType { AUTO , LEFT , TOP , RIGHT , BOTTOM , SPECIAL }
| the direction where the connection line leaves the connection point. More...
enum | ConnectorType { STANDARD , CURVE , LINE , LINES }
| The ConnectorType specifies the appearance of a connector. More...
enum | DashStyle { RECT , ROUND , RECTRELATIVE , ROUNDRELATIVE }
| This enumeration defines the style of a dash on a line. More...
enum | DrawViewMode { DRAW , NOTES , HANDOUT }
| This enumeration specifies the view mode of a view in a presentation document. More...
enum | EnhancedCustomShapeTextPathMode { NORMAL , PATH , SHAPE }
enum | EscapeDirection { SMART , LEFT , RIGHT , UP , DOWN , HORIZONTAL , VERTICAL }
| This enumeration defines the escape direction a connector takes on a glue point. More...
enum | FillStyle { NONE , SOLID , GRADIENT , HATCH , BITMAP }
| specifies how an area will be filled. More...
enum | HatchStyle { SINGLE , DOUBLE , TRIPLE }
| The HatchStyle defines the style of the lines in a hatch. More...
enum | HorizontalDimensioning { AUTO , LEFT , CENTERED , RIGHT }
| The HorizontalDimensioning specifies the horizontal position of the text of a dimensioning shape. More...
enum | LayerType { LAYOUT , CONTROLSA , DIMENSIONIANG_LINES , USER_DEFINED }
| This enumeration specifies the type of a drawing layer. More...
enum | LineCap { BUTT , ROUND , SQUARE }
| The LineCap defines rendering of ends of thick lines. More...
enum | LineEndType { NONE , ARROW , CIRCLE , SQUARE , SPECIAL }
| The LineEndType specifies the appearance of the bullet at the end of a line. More...
enum | LineJoint { NONE , MIDDLE , BEVEL , MITER , ROUND }
| The LineJoint defines rendering of joints between thick lines. More...
enum | LineStyle { NONE , SOLID , DASH }
| specifies the appearance of the lines of a shape. More...
enum | MeasureKind { STANDARD , RADIUS }
| determines whether a measured shape is a standard measure or a radius measure. More...
enum | MeasureTextHorzPos { AUTO , LEFTOUTSIDE , INSIDE , RIGHTOUTSIDE }
| This enumeration defines the relative horizontal placement of the text inside a measure shape. More...
enum | MeasureTextVertPos { AUTO , EAST , BREAKEDLINE , WEST , CENTERED }
| This enumeration defines the relative vertical placement of the text inside a measure shape. More...
enum | MirrorAxis { VERTICAL , HORIZONTAL }
| defines an axis for simple mirroring. More...
enum | NormalsKind { SPECIFIC , FLAT , SPHERE }
| specifies in which way the standard normals for an object are produced. More...
enum | PolygonFlags { NORMAL , SMOOTH , CONTROL , SYMMETRIC }
| defines how a Bezier curve goes through a point. More...
enum | PolygonKind { LINE , POLY , PLIN , PATHLINE , PATHFILL , FREELINE , FREEFILL , PATHPOLY , PATHPLIN }
| This enumeration defines the type of polygon. More...
enum | ProjectionMode { PARALLEL , PERSPECTIVE }
| defines whether the 3D objects are to be drawn in perspective or parallel projection. More...
enum | RectanglePoint { LEFT_TOP , MIDDLE_TOP , RIGHT_TOP , LEFT_MIDDLE , MIDDLE_MIDDLE , RIGHT_MIDDLE , LEFT_BOTTOM , MIDDLE_BOTTOM , RIGHT_BOTTOM }
| specifies one of nine points in a rectangle. More...
enum | ShadeMode { FLAT , PHONG , SMOOTH , DRAFT }
| The ShadeMode determines the quality of displaying the object. More...
enum | SnapObjectType { POINT , VERTICAL , HORIZONTAL }
enum | TextAdjust { LEFT , CENTER , RIGHT , BLOCK , STRETCH }
| This enumeration specifies the position of a text inside a shape in relation to the shape. More...
enum | TextAnimationDirection { LEFT , RIGHT , UP , DOWN }
| This enumeration defines the movement direction of a scrolltext. More...
enum | TextAnimationKind { NONE , BLINK , SCROLL , ALTERNATE , SLIDE }
| This enumeration specifies the type of animation for a text. More...
enum | TextFitToSizeType { NONE , PROPORTIONAL , ALLLINES , AUTOFIT }
| This enumeration specifies how the text within a shape relates to the size of the shape. More...
enum | TextHorizontalAdjust { LEFT , CENTER , RIGHT , BLOCK }
| This enumeration specifies the horizontal position of text inside a shape in relation to the shape. More...
enum | TextureKind { LUMINANCE , COLOR }
| These enumeration values specify how the texture is applied. More...
enum | TextureKind2 { LUMINANCE , INTENSITY , COLOR }
| These enumeration values specify how the texture is applied. More...
enum | TextureMode { REPLACE , MODULATE , BLEND }
| The TextureMode defines in which way the texture color data replaces the object color data. More...
enum | TextureProjectionMode { OBJECTSPECIFIC , PARALLEL , SPHERE }
| defines how the texture is mapped to the object. More...
enum | TextVerticalAdjust { TOP , CENTER , BOTTOM , BLOCK }
| This enumeration specifies the vertical position of text inside a shape in relation to the shape. More...
enum | VerticalDimensioning { AUTO , TOP , CENTERED , BOTTOM }
| specifies the vertical position of the text of a dimensioning shape. More...

## Detailed Description

Drawing and shape specific interfaces.

## Typedef Documentation

## ◆ CoordinateSequence

typedef sequence<long> CoordinateSequence
| published

## ◆ CoordinateSequenceSequence

typedef sequence<CoordinateSequence> CoordinateSequenceSequence
| published

## ◆ DoubleSequence

typedef sequence<double> DoubleSequence
| published

## ◆ DoubleSequenceSequence

typedef sequence<DoubleSequence> DoubleSequenceSequence
| published

## ◆ FlagSequence

typedef sequence<PolygonFlags> FlagSequence
| published

## ◆ FlagSequenceSequence

typedef sequence<FlagSequence> FlagSequenceSequence
| published

## ◆ PointSequence

typedef sequence<com::sun::star::awt::Point> PointSequence
| published

## ◆ PointSequenceSequence

typedef sequence<PointSequence> PointSequenceSequence
| published

## Enumeration Type Documentation

## ◆ Alignment

enum Alignment
| published

The Alignment enumeration is a general way to specify the alignment of an object or sub-object relative to another object.

Enumerator
TOP_LEFT |
TOP | the connection line leaves the connected object from the top, The text is positioned above the main line. The top edge of the text is adjusted to the top edge of the shape.
TOP_RIGHT |
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
CENTER | The text is centered inside the shape.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
BOTTOM_LEFT |
BOTTOM | the connection line leaves the connected object from the bottom, The text is positioned below the main line. The bottom edge of the text is adjusted to the bottom edge of the shape.
BOTTOM_RIGHT |

## ◆ Arrangement

enum Arrangement
| published

With this enumeration you can arrange the relative position of an object within the other objects.

Deprecated:

Enumerator
FRONT | Move this object in front of all other objects.
MORE_FRONT | Move this object one object more to the front.
MORE_BACK | Move this object one object more to the back.
BACK | Move this object behind all other objects.

## ◆ BitmapMode

enum BitmapMode
| published

The BitmapMode selects an algorithm for filling an area with a bitmap.

Enumerator
REPEAT | the bitmap is repeated over the fill area.
STRETCH | the bitmap is stretched to fill the area. The text is stretched so that the longest line goes from the left to the right edge of the shape.
NO_REPEAT | the bitmap is painted in its original or selected size.

## ◆ CircleKind

enum CircleKind
| published

This enumeration defines a circle.

Enumerator
FULL | a full circle
SECTION | a circle with a cut connected by a line
CUT | a circle with a cut connected by two lines
ARC | a circle with an open cut

## ◆ ColorMode

enum ColorMode
| published

The ColorMode defines the output style of colors for a graphic.

Enumerator
STANDARD | the graphic is rendered in the default color style of the output device, use the length measurement. the connector is drawn with three lines, with the middle line perpendicular to the other two
GREYS | the graphic is rendered in grayscale on the output device,
MONO | the graphic is rendered in black and white only,
WATERMARK | the graphic is rendered in a watermark like style,

## ◆ ConnectionType

enum ConnectionType
| published

the direction where the connection line leaves the connection point.

Enumerator
AUTO | the connection point is chosen automatically, Set this to have the application select the best horizontal position for the text.
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
TOP | the connection line leaves the connected object from the top, The text is positioned above the main line. The top edge of the text is adjusted to the top edge of the shape.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
BOTTOM | the connection line leaves the connected object from the bottom, The text is positioned below the main line. The bottom edge of the text is adjusted to the bottom edge of the shape.
SPECIAL | not implemented, yet. deprecated

## ◆ ConnectorType

enum ConnectorType
| published

The ConnectorType specifies the appearance of a connector.

Enumerator
STANDARD | the graphic is rendered in the default color style of the output device, use the length measurement. the connector is drawn with three lines, with the middle line perpendicular to the other two
CURVE | the ConnectorShape is drawn as a curve
LINE | the ConnectorShape is drawn as a straight line This is the PolygonKind for a LineShape.
LINES | the connector is drawn with three lines

## ◆ DashStyle

enum DashStyle
| published

This enumeration defines the style of a dash on a line.

Enumerator
RECT | the dash is a rectangle
ROUND | the dash is a point the lines join with an arc the line will get a half circle as additional cap
RECTRELATIVE | the dash is a rectangle, with the size of the dash given in relation to the length of the line
ROUNDRELATIVE | the dash is a point, with the size of the dash given in relation to the length of the line

## ◆ DrawViewMode

enum DrawViewMode
| published

This enumeration specifies the view mode of a view in a presentation document.

Deprecated:

Enumerator
DRAW | The view shows the drawing pages.
NOTES | The view shows the notes pages.
HANDOUT | The view shows the handout pages,.

## ◆ EnhancedCustomShapeTextPathMode

enum EnhancedCustomShapeTextPathMode

Enumerator
NORMAL | the text is drawn along the path without scaling. the point is normal, from the curve discussion view.
PATH | the text is fit to the path.
SHAPE | the text is fit to the bounding box of the shape.

## ◆ EscapeDirection

enum EscapeDirection
| published

This enumeration defines the escape direction a connector takes on a glue point.

Enumerator
SMART |
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
UP |
DOWN |
HORIZONTAL | mirror to the horizontal axis
VERTICAL | mirror to the vertical axis

## ◆ FillStyle

enum FillStyle
| published

specifies how an area will be filled.

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
SOLID | use a solid color to fill the area. the line is solid.
GRADIENT | use a gradient color to fill the area.
HATCH | use a hatch to fill the area.
BITMAP | use a bitmap to fill the area.

## ◆ HatchStyle

enum HatchStyle
| published

The HatchStyle defines the style of the lines in a hatch.

Enumerator
SINGLE | the hatch consists of a single horizontal line
DOUBLE | the hatch has a horizontal and a vertical line
TRIPLE | the hatch has a horizontal, a vertical and a diagonal line

## ◆ HorizontalDimensioning

enum HorizontalDimensioning
| published

The HorizontalDimensioning specifies the horizontal position of the text of a dimensioning shape.

Enumerator
AUTO | the connection point is chosen automatically, Set this to have the application select the best horizontal position for the text.
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
CENTERED | The text is positioned at the center. The text is positioned over the main line.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.

## ◆ LayerType

enum LayerType
| published

This enumeration specifies the type of a drawing layer.

Enumerator
LAYOUT | This is the layer for all standard shapes.
CONTROLSA | This is the layer for the controls.
DIMENSIONIANG_LINES | This is the layer for all measure shapes.
USER_DEFINED | There can be zero or more layers of this type.

## ◆ LineCap

enum LineCap
| published

The LineCap defines rendering of ends of thick lines.

Enumerator
BUTT | the line will end without any additional shape
ROUND | the dash is a point the lines join with an arc the line will get a half circle as additional cap
SQUARE | the line will get a half square as additional cap the line uses a square for the line end.

## ◆ LineEndType

enum LineEndType
| published

The LineEndType specifies the appearance of the bullet at the end of a line.

Deprecated:

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
ARROW | the line uses an arrow for the line end.
CIRCLE | the line uses a circle for the line end.
SQUARE | the line will get a half square as additional cap the line uses a square for the line end.
SPECIAL | not implemented, yet. deprecated

## ◆ LineJoint

enum LineJoint
| published

The LineJoint defines rendering of joints between thick lines.

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
MIDDLE | the middle value between the joints is used
BEVEL | the edges of the thick lines will be joined by lines
MITER | the lines join at intersections
ROUND | the dash is a point the lines join with an arc the line will get a half circle as additional cap

## ◆ LineStyle

enum LineStyle
| published

specifies the appearance of the lines of a shape.

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
SOLID | use a solid color to fill the area. the line is solid.
DASH | the line use dashes.

## ◆ MeasureKind

enum MeasureKind
| published

determines whether a measured shape is a standard measure or a radius measure.

Deprecated:

Enumerator
STANDARD | the graphic is rendered in the default color style of the output device, use the length measurement. the connector is drawn with three lines, with the middle line perpendicular to the other two
RADIUS | use the radius measurement. This option cannot be used from the GUI Interface.

## ◆ MeasureTextHorzPos

enum MeasureTextHorzPos
| published

This enumeration defines the relative horizontal placement of the text inside a measure shape.

Enumerator
AUTO | the connection point is chosen automatically, Set this to have the application select the best horizontal position for the text.
LEFTOUTSIDE |
INSIDE |
RIGHTOUTSIDE |

## ◆ MeasureTextVertPos

enum MeasureTextVertPos
| published

This enumeration defines the relative vertical placement of the text inside a measure shape.

Enumerator
AUTO | the connection point is chosen automatically, Set this to have the application select the best horizontal position for the text.
EAST |
BREAKEDLINE |
WEST |
CENTERED | The text is positioned at the center. The text is positioned over the main line.

## ◆ MirrorAxis

enum MirrorAxis
| published

defines an axis for simple mirroring.

Enumerator
VERTICAL | mirror to the vertical axis
HORIZONTAL | mirror to the horizontal axis

## ◆ NormalsKind

enum NormalsKind
| published

specifies in which way the standard normals for an object are produced.

Enumerator
SPECIFIC | does not produce standard normals, but leaves the object-specific ones untouched.
FLAT | forces one normal per flat part. With FLAT shading, the faces of the object are rendered in a solid color.
SPHERE | forces normals to think that the object is a sphere. This value forces projection to wrapping in X and/or Y.

## ◆ PolygonFlags

enum PolygonFlags
| published

defines how a Bezier curve goes through a point.

Enumerator
NORMAL | the text is drawn along the path without scaling. the point is normal, from the curve discussion view.
SMOOTH | the point is smooth, the first derivation from the curve discussion view. With SMOOTH shading, the colors of the lit vertices is interpolated.
CONTROL | the point is a control point, to control the curve from the user interface.
SYMMETRIC | the point is symmetric, the second derivation from the curve discussion view.

## ◆ PolygonKind

enum PolygonKind
| published

This enumeration defines the type of polygon.

Enumerator
LINE | the ConnectorShape is drawn as a straight line This is the PolygonKind for a LineShape.
POLY | This is the PolygonKind for a PolyPolygonShape.
PLIN | This is the PolygonKind for a PolyLineShape.
PATHLINE | This is the PolygonKind for an OpenBezierShape.
PATHFILL | This is the PolygonKind for a ClosedBezierShape.
FREELINE | This is the PolygonKind for an OpenFreeHandShape.
FREEFILL | This is the PolygonKind for a ClosedFreeHandShape.
PATHPOLY | This is the PolygonKind for a PolyPolygonPathShape.
PATHPLIN | This is the PolygonKind for a PolyLinePathShape.

## ◆ ProjectionMode

enum ProjectionMode
| published

defines whether the 3D objects are to be drawn in perspective or parallel projection.

Enumerator
PARALLEL | the 3D objects are drawn in the parallel projection. This value specifies a flat parallel projection in the specified degree of freedom (X or Y).
PERSPECTIVE | the 3D objects are drawn in the perspective projection.

## ◆ RectanglePoint

enum RectanglePoint
| published

specifies one of nine points in a rectangle.

Enumerator
LEFT_TOP | specify to the point on the left side from the top of the rectangle.
MIDDLE_TOP | specify to the point on the middle of the top from the rectangle.
RIGHT_TOP | specify to the point on the right side from the top of the rectangle.
LEFT_MIDDLE | specify to the point on the middle of the left side from the rectangle.
MIDDLE_MIDDLE | specify to the point on the center from the rectangle.
RIGHT_MIDDLE | specify to the point on the middle of the right side from the rectangle.
LEFT_BOTTOM | specify to the point on the bottom of the left side from the rectangle.
MIDDLE_BOTTOM | specify to the point on the middle of the bottom from the rectangle.
RIGHT_BOTTOM | specify to the point on the bottom of the right side from the rectangle.

## ◆ ShadeMode

enum ShadeMode
| published

The ShadeMode determines the quality of displaying the object.

Enumerator
FLAT | forces one normal per flat part. With FLAT shading, the faces of the object are rendered in a solid color.
PHONG | With PHONG shading, the normal itself is interpolated to get more realistic colors and light reflections.
SMOOTH | the point is smooth, the first derivation from the curve discussion view. With SMOOTH shading, the colors of the lit vertices is interpolated.
DRAFT | DRAFT is a special mode which uses a BSP tree and triangle subdivision for displaying.

## ◆ SnapObjectType

enum SnapObjectType
| published

Deprecated:

Enumerator
POINT |
VERTICAL | mirror to the vertical axis
HORIZONTAL | mirror to the horizontal axis

## ◆ TextAdjust

enum TextAdjust
| published

This enumeration specifies the position of a text inside a shape in relation to the shape.

Deprecated:

This counts for the complete text, not individual lines.

Enumerator
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
CENTER | The text is centered inside the shape.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
BLOCK | The text extends from the left to the right edge of the shape. The text extends from the top to the bottom edge of the shape.
STRETCH | the bitmap is stretched to fill the area. The text is stretched so that the longest line goes from the left to the right edge of the shape.

## ◆ TextAnimationDirection

enum TextAnimationDirection
| published

This enumeration defines the movement direction of a scrolltext.

Enumerator
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
UP |
DOWN |

## ◆ TextAnimationKind

enum TextAnimationKind
| published

This enumeration specifies the type of animation for a text.

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
BLINK | Let this text switch its state from visible to invisible continuously.
SCROLL | Let this text scroll.
ALTERNATE | Scroll the text from one side to the other and back.
SLIDE | Scroll the text from one side to the final position and stop there.

## ◆ TextFitToSizeType

enum TextFitToSizeType
| published

This enumeration specifies how the text within a shape relates to the size of the shape.

Enumerator
NONE | the area is not filled. The text size is only defined by the font properties. Don't animate this text. the line is hidden. the joint between lines will not be connected the line has no special end.
PROPORTIONAL | The bitmap with the rendered glyphs is scaled up or down proportionally to fit the size of the shape. This may scale anisotropically. No AutoGrow and no Auto line-breaks in this case. On fontwork custom shapes, the rendering is different: each line of text is separately scaled proportionally to fit the width.
ALLLINES | Nowadays this is the same as `PROPORTIONAL`. Note This is actually only implemented on fontwork custom shapes, and the only supported option (other than NONE) on fontwork shapes. Why this is in this enum and not a value of com.sun.star.drawing.TextHorizontalAdjust is anybody's guess.
AUTOFIT | The font size is scaled down (never up!) isotropically to fit the available space. Auto line-breaks will keep working.

## ◆ TextHorizontalAdjust

enum TextHorizontalAdjust
| published

This enumeration specifies the horizontal position of text inside a shape in relation to the shape.

This counts for the complete text, not individual lines.

Enumerator
LEFT | the connection line leaves the connected object to the left, The left edge of the text is adjusted to the left edge of the shape. The text is positioned to the left.
CENTER | The text is centered inside the shape.
RIGHT | the connection line leaves the connected object to the right, The right edge of the text is adjusted to the right edge of the shape. The text is positioned to the right.
BLOCK | The text extends from the left to the right edge of the shape. The text extends from the top to the bottom edge of the shape.

## ◆ TextureKind

enum TextureKind
| published

These enumeration values specify how the texture is applied.

Deprecated:

Enumerator
LUMINANCE | With TextureKind LUMINANCE, the texture and the lighting information is mixed to produce the image, so a lit, textured object is achieved.
COLOR | With this mode the lighting is ignored and only the texture color information is used. With this mode, the lighting is ignored and only the texture color information is used.

## ◆ TextureKind2

enum TextureKind2
| published

These enumeration values specify how the texture is applied.

Enumerator
LUMINANCE | With TextureKind LUMINANCE, the texture and the lighting information is mixed to produce the image, so a lit, textured object is achieved.
INTENSITY | With TextureKind INTENSITY, each texture pixel is used as an intensity value.
COLOR | With this mode the lighting is ignored and only the texture color information is used. With this mode, the lighting is ignored and only the texture color information is used.

## ◆ TextureMode

enum TextureMode
| published

The TextureMode defines in which way the texture color data replaces the object color data.

Enumerator
REPLACE | This is the standard mode.
MODULATE | This mixes up colors in a way defined by the texture bitmap.
BLEND | This mixes both data sources in a fixed ratio.

## ◆ TextureProjectionMode

enum TextureProjectionMode
| published

defines how the texture is mapped to the object.

It can be set independently for X and Y texture directions.

Enumerator
OBJECTSPECIFIC | This value specifies that the standard object projection method is used.
PARALLEL | the 3D objects are drawn in the parallel projection. This value specifies a flat parallel projection in the specified degree of freedom (X or Y).
SPHERE | forces normals to think that the object is a sphere. This value forces projection to wrapping in X and/or Y.

## ◆ TextVerticalAdjust

enum TextVerticalAdjust
| published

This enumeration specifies the vertical position of text inside a shape in relation to the shape.

This counts for the complete text, not individual lines.

Enumerator
TOP | the connection line leaves the connected object from the top, The text is positioned above the main line. The top edge of the text is adjusted to the top edge of the shape.
CENTER | The text is centered inside the shape.
BOTTOM | the connection line leaves the connected object from the bottom, The text is positioned below the main line. The bottom edge of the text is adjusted to the bottom edge of the shape.
BLOCK | The text extends from the left to the right edge of the shape. The text extends from the top to the bottom edge of the shape.

## ◆ VerticalDimensioning

enum VerticalDimensioning
| published

specifies the vertical position of the text of a dimensioning shape.

Enumerator
AUTO | the connection point is chosen automatically, Set this to have the application select the best horizontal position for the text.
TOP | the connection line leaves the connected object from the top, The text is positioned above the main line. The top edge of the text is adjusted to the top edge of the shape.
CENTERED | The text is positioned at the center. The text is positioned over the main line.
BOTTOM | the connection line leaves the connected object from the bottom, The text is positioned below the main line. The bottom edge of the text is adjusted to the bottom edge of the shape.